import _Object$getOwnPropertyDescriptor from "@babel/runtime-corejs2/core-js/object/get-own-property-descriptor";
import _createClass from "@babel/runtime-corejs2/helpers/createClass";
import _inheritsLoose from "../../inheritsLoose";
import _defineProperty from "@babel/runtime-corejs2/helpers/defineProperty";
import _applyDecoratedDescriptor from "@babel/runtime-corejs2/helpers/applyDecoratedDescriptor";

var _dec, _class, _class2, _temp;

import Intact from 'intact-angular';
import template from './group.vdt';
import './index.css';
var ButtonGroup = (_dec = Intact.template(), (_class = (_temp = _class2 =
/*#__PURE__*/
function (_Intact) {
  _inheritsLoose(ButtonGroup, _Intact);

  function ButtonGroup() {
    return _Intact.apply(this, arguments) || this;
  }

  var _proto = ButtonGroup.prototype;

  _proto.defaults = function defaults() {
    return {
      vertical: false,
      value: undefined,
      radio: false,
      // @deprecated: use checkType instead of
      checkType: 'none' // radio | checkbox | none

    };
  };

  _proto._init = function _init() {
    /* istanbul ignore if */
    if (this.get('radio')) {
      this.set('checkType', 'radio', {
        silent: true
      });
    }
  };

  _createClass(ButtonGroup, [{
    key: "template",
    get: function get() {
      return template;
    }
  }]);

  return ButtonGroup;
}(Intact), _defineProperty(_class2, "propTypes", {
  vertical: Boolean,
  radio: Boolean,
  checkType: ['radio', 'checkbox', 'none']
}), _temp), (_applyDecoratedDescriptor(_class.prototype, "template", [_dec], _Object$getOwnPropertyDescriptor(_class.prototype, "template"), _class.prototype)), _class));
export { ButtonGroup as default };